#define DEBUG
'~ ------------------------------------------------------
'~ Interface functions to c implimentation of keyboard int routines
'~ ------------------------------------------------------
Declare sub callInt()
Declare sub kb_init() Alias "kb_init"
Declare function kb_get() as UnsignedInteger
Declare Function handleKeys_c() as Integer Alias "handleKeys_c"
Declare Function kb_buf_count() as Byte
'~ For debugging reasons
Declare function get_kb_bitcount() as Byte
'~ ~ ------------------------------------------------------
'~ ------------------------------------------------------
sub kbRead()
		'~ Dim i as Integer = handleKeys_c()
		Dim keyVal as UnsignedInteger
		Dim keyByte as Byte

		do
			keyVal = kb_get()
#ifdef DEBUG
			Dim bitCount as Byte = get_kb_bitcount() 
			Debug.print "key=";CStrHex(keyVal) ; "bitcount=" ; bitCount
#endif
			call delay(0.1)
		loop
end sub

'~ ------------------------------------------------------
'~ ------------------------------------------------------
' Uncomment this line to include a simple test driver.
#ifndef TEST_DRIVER
#define TEST_DRIVER
#endif

#if defined(TEST_DRIVER)
'~ ------------------------------------------------------
'~ Task stacks for main
'~ ------------------------------------------------------
dim int0TaskStack(1 to 100) as Byte
dim kbReadTask(1 to 110) as Byte

Sub Main()		
	call kb_init()
	
	callTask int0Task(), int0TaskStack	

	callTask kbRead(), kbReadTask
	do
		call flashLedPattern()
	loop
End Sub

'~ ------------------------------------------------------
'~ ------------------------------------------------------
sub int0Task()
	do
		Call WaitForInterrupt(zxPinFallingEdge, WaitInt0)
		call callInt()
	loop
end sub
'~ A function that be called from c to call the zbasic delay
'~ can replace in the c a direct call to Delay perhaps once
'~ I know what its called
public sub myDelay()  Attribute(Used)
	call Delay(0.1)
end sub
sub flashLedPattern()	
	Call PutPin(Pin.GreenLED, 0)
	Call PutPin(Pin.RedLED, 1)
	Call Delay(0.5)
	Call PutPin(Pin.GreenLED, 1)
	Call PutPin(Pin.RedLED, 0)
	Call Delay(0.5)
end sub
#endif